Bug 46762 - New Port: ksteak 0.9.2, KDE frontend for steak, an englis=
Summary: New Port: ksteak 0.9.2, KDE frontend for steak, an englis=
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Tilman Keskinoz
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2003-01-04 19:30 UTC by Heiner
Modified: 2003-02-17 15:34 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Heiner 2003-01-04 19:30:02 UTC
KSteak is a KDE frontend for steak, an english - german dictionary.
KSteak translates a given word or the lastest one in the X-Clipboard.
Since version 0.2 KSteak can be docked on the KDE-panel (kicker).

WWW: http://www.der-fritz.de/ksteak/

Fix: 

Requires lang/steak, see problem request 46693
port follows via email
Comment 1 Heiner 2003-01-04 19:35:07 UTC
# This is a shell archive.  Save it in a file, remove anything before
# this line, and then unpack it by entering "sh file".  Note, it may
# create directories; files and directories will be owned by you and
# have default permissions.
#
# This archive contains:
#
#=09ksteak
#=09ksteak/pkg-plist
#=09ksteak/distinfo
#=09ksteak/Makefile
#=09ksteak/pkg-comment
#=09ksteak/pkg-descr
#=09ksteak/files
#=09ksteak/files/patch-ksteakpluging:Makefile.am
#
echo c - ksteak
mkdir -p ksteak > /dev/null 2>&1
echo x - ksteak/pkg-plist
sed 's/^X//' >ksteak/pkg-plist << 'END-of-ksteak/pkg-plist'
Xbin/ksteak
Xlib/libksteakplugin.so
Xlib/libksteakplugin.la
Xshare/doc/HTML/en/ksteak/index.docbook
Xshare/doc/HTML/en/ksteak/index.cache.bz2
Xshare/doc/HTML/en/ksteak/common
Xshare/doc/HTML/de/ksteak/index.docbook
Xshare/doc/HTML/de/ksteak/index.cache.bz2
Xshare/doc/HTML/de/ksteak/common
Xshare/icons/locolor/16x16/apps/ksteak.png
Xshare/icons/locolor/16x16/apps/ksteakplugin.png
Xshare/icons/locolor/22x22/apps/ksteak.png
Xshare/icons/locolor/32x32/apps/ksteak.png
Xshare/icons/hicolor/16x16/apps/ksteak.png
Xshare/icons/hicolor/16x16/apps/ksteakplugin.png
Xshare/icons/hicolor/22x22/apps/ksteak.png
Xshare/icons/hicolor/22x22/apps/ksteakplugin.png
Xshare/icons/hicolor/32x32/apps/ksteak.png
Xshare/icons/hicolor/32x32/apps/ksteakplugin.png
Xshare/apps/ksteak/pics/case.png
Xshare/apps/ksteak/pics/context.png
Xshare/apps/ksteak/pics/flag-de.png
Xshare/apps/ksteak/pics/flag-en.png
Xshare/apps/ksteak/pics/key_enter.png
Xshare/apps/ksteak/pics/or.png
Xshare/apps/ksteak/pics/and.png
Xshare/apps/ksteak/pics/ksteak-dock.png
Xshare/apps/ksteak/pics/ksteak-dock-watch.png
Xshare/apps/ksteak/ksteakui.rc
Xshare/apps/khtml/kpartplugins/ksteakplugin.rc
Xshare/applnk/Applications/ksteak.desktop
Xshare/locale/de/LC_MESSAGES/ksteak.mo
X@unexec /bin/rmdir %D/share/doc/HTML/en/ksteak 2>/dev/null || /usr/bin/t=
rue
X@unexec /bin/rmdir %D/share/doc/HTML/en 2>/dev/null || /usr/bin/true
X@unexec /bin/rmdir %D/share/doc/HTML/de/ksteak 2>/dev/null || /usr/bin/t=
rue
X@unexec /bin/rmdir %D/share/doc/HTML/de 2>/dev/null || /usr/bin/true
X@unexec /bin/rmdir %D/share/doc/HTML 2>/dev/null || /usr/bin/true
X@unexec /bin/rmdir %D/share/doc 2>/dev/null || /usr/bin/true
X@unexec /bin/rmdir %D/share/icons/locolor/16x16/apps 2>/dev/null ||=20
/usr/bin/true
X@unexec /bin/rmdir %D/share/icons/locolor/16x16 2>/dev/null || /usr/bin/=
true
X@unexec /bin/rmdir %D/share/icons/locolor/22x22/apps 2>/dev/null ||=20
/usr/bin/true
X@unexec /bin/rmdir %D/share/icons/locolor/22x22 2>/dev/null || /usr/bin/=
true
X@unexec /bin/rmdir %D/share/icons/locolor/32x32/apps 2>/dev/null ||=20
/usr/bin/true
X@unexec /bin/rmdir %D/share/icons/locolor/32x32 2>/dev/null || /usr/bin/=
true
X@unexec /bin/rmdir %D/share/icons/locolor 2>/dev/null || /usr/bin/true
X@unexec /bin/rmdir %D/share/icons/hicolor/16x16/apps 2>/dev/null ||=20
/usr/bin/true
X@unexec /bin/rmdir %D/share/icons/hicolor/16x16 2>/dev/null || /usr/bin/=
true
X@unexec /bin/rmdir %D/share/icons/hicolor/22x22/apps 2>/dev/null ||=20
/usr/bin/true
X@unexec /bin/rmdir %D/share/icons/hicolor/22x22 2>/dev/null || /usr/bin/=
true
X@unexec /bin/rmdir %D/share/icons/hicolor/32x32/apps 2>/dev/null ||=20
/usr/bin/true
X@unexec /bin/rmdir %D/share/icons/hicolor/32x32 2>/dev/null || /usr/bin/=
true
X@unexec /bin/rmdir %D/share/icons/hicolor 2>/dev/null || /usr/bin/true
X@unexec /bin/rmdir %D/share/icons 2>/dev/null || /usr/bin/true
X@unexec /bin/rmdir %D/share/apps/ksteak/pics 2>/dev/null || /usr/bin/tru=
e
X@unexec /bin/rmdir %D/share/apps/ksteak 2>/dev/null || /usr/bin/true
X@unexec /bin/rmdir %D/share/apps/khtml/kpartplugins 2>/dev/null ||=20
/usr/bin/true
X@unexec /bin/rmdir %D/share/apps/khtml 2>/dev/null || /usr/bin/true
X@unexec /bin/rmdir %D/share/apps 2>/dev/null || /usr/bin/true
X@unexec /bin/rmdir %D/share/applnk/Applications 2>/dev/null || /usr/bin/=
true
X@unexec /bin/rmdir %D/share/applnk 2>/dev/null || /usr/bin/true
X@unexec /bin/rmdir %D/share/locale/de/LC_MESSAGES 2>/dev/null ||=20
/usr/bin/true
X@unexec /bin/rmdir %D/share/locale/de 2>/dev/null || /usr/bin/true
X@unexec /bin/rmdir %D/share/locale 2>/dev/null || /usr/bin/true
X@unexec /bin/rmdir %D/share 2>/dev/null || /usr/bin/true
END-of-ksteak/pkg-plist
echo x - ksteak/distinfo
sed 's/^X//' >ksteak/distinfo << 'END-of-ksteak/distinfo'
XMD5 (ksteak-0.9.2.tar.bz2) =3D 57bcd2537218d771f95aea4cf5cc6978
END-of-ksteak/distinfo
echo x - ksteak/Makefile
sed 's/^X//' >ksteak/Makefile << 'END-of-ksteak/Makefile'
X# New ports collection makefile for:=09ksteak
X# Date created:=09=092003/01/03
X# Whom:=09=09=09Heiner <h.eichmann@gmx.de>
X#
X# $FreeBSD$
X#
X
XPORTNAME=3D=09ksteak
XPORTVERSION=3D=090.9.2
XCATEGORIES=3D=09lang kde
XMASTER_SITES=3D=09http://www.der-fritz.de/ksteak/
X
XMAINTAINER=3D=09h.eichmann@gmx.de
X
XBUILD_DEPENDS=3D=09perl5:${PORTSDIR}/lang/perl5 \
X=09=09autoconf:${PORTSDIR}/devel/autoconf \
X=09=09automake:${PORTSDIR}/devel/automake
XRUN_DEPENDS=3D=09steak:${PORTSDIR}/lang/steak
X
XUSE_BZIP2=3D=09yes
XUSE_PERL5_BUILD=3Dyes
XUSE_KDELIBS_VER=3D3
XUSE_GMAKE=3D=09yes
XUSE_LIBTOOL=3D=09yes
XINSTALLS_SHLIB=3D=09yes
X
XCONFIGURE_ARGS+=3D=09--program-transform-name=3Ds,^,,
XGNU_CONFIGURE=3D=09yes
X
Xpre-configure-script:
X=09@(cd ${BUILD_WRKSRC}; ${SETENV} ${MAKE_ENV} ${GMAKE} -f=20
admin/Makefile.common dist)
X
X.include <bsd.port.mk>
END-of-ksteak/Makefile
echo x - ksteak/pkg-comment
sed 's/^X//' >ksteak/pkg-comment << 'END-of-ksteak/pkg-comment'
XKDE frontend for steak, an english - german dictionary
END-of-ksteak/pkg-comment
echo x - ksteak/pkg-descr
sed 's/^X//' >ksteak/pkg-descr << 'END-of-ksteak/pkg-descr'
XKSteak is a KDE frontend for steak, an english - german dictionary.=20
XKSteak translates a given word or the lastest one in the X-Clipboard.
XSince version 0.2 KSteak can be docked on the KDE-panel (kicker).
X
XWWW: http://www.der-fritz.de/ksteak/
X
XHeiner
Xh.eichmann@gmx.de
END-of-ksteak/pkg-descr
echo c - ksteak/files
mkdir -p ksteak/files > /dev/null 2>&1
echo x - ksteak/files/patch-ksteakpluging:Makefile.am
sed 's/^X//' >ksteak/files/patch-ksteakpluging:Makefile.am <<=20
'END-of-ksteak/files/patch-ksteakpluging:Makefile.am'
X*** ksteakplugin/Makefile.am.orig=09Fri Jan  3 16:44:04 2003
X--- ksteakplugin/Makefile.am=09Fri Jan  3 16:44:30 2003
X***************
X*** 11,17 ****
X  LDADD =3D  $(LIB_QT) $(LIB_KDECORE) $(LIB_KDEUI) $(LIB_KPARTS) $(LIB_K=
HTML)
X =20
X =20
X! libksteakplugin_la_LIBADD =3D  $(LIB_QT) $(LIB_KDECORE) $(LIB_KDEUI)=20
$(LIB_KPARTS) $(LIB_KHTML)
X =20
X =20
X  libksteakplugin_la_LDFLAGS =3D -avoid-version -module -no-undefined
X--- 11,17 ----
X  LDADD =3D  $(LIB_QT) $(LIB_KDECORE) $(LIB_KDEUI) $(LIB_KPARTS) $(LIB_K=
HTML)
X =20
X =20
X! libksteakplugin_la_LIBADD =3D  $(LIB_QT) $(LIB_KDECORE) $(LIB_KDEUI)=20
$(LIB_KPARTS) $(LIB_KHTML) /usr/lib/libc_r.so
X =20
X =20
X  libksteakplugin_la_LDFLAGS =3D -avoid-version -module -no-undefined
END-of-ksteak/files/patch-ksteakpluging:Makefile.am
exit
Comment 2 Tilman Keskinoz freebsd_committer 2003-02-15 19:28:06 UTC
Responsible Changed
From-To: freebsd-ports-bugs->arved

I'll handle this. 

Heiner, Can you please send an updated shar (0.9.3 was released last week) 
to me? Thanks!
Comment 3 Tilman Keskinoz freebsd_committer 2003-02-17 15:33:55 UTC
State Changed
From-To: open->closed

Committed, thanks